<template>
    <view class="app_container">
        <view>驳回原因：
            <view class="textd">{{info.reviewMsg}}</view>
        </view>
        <view v-if="jobType === 0">
            <TaskVue :company="info"></TaskVue>
        </view>
        <view v-if="jobType === 1">
            <WorkVue :company="info"></WorkVue>
        </view>
    </view>
</template>

<script>
    import {
        getuserrecruitDetailApp
    } from '@/api/userrecruit.js'
    import {
        userrecruitDetail
    } from '@/api/userrecruit.js'
    import TaskVue from '../task.vue'
    import WorkVue from '../work.vue'
    export default {
        components: {
            TaskVue,
            WorkVue
        },
        data() {
            return {
                workId: '',
                isShow: '',
                type: '',
                id: '',
                jobType: 0,
                info: {}
            }
        },
        onLoad(option) {
            if (option.workId) {
                this.workId = decodeURIComponent(option.workId);
            }
            if (option.isCan) {
                this.isShow = option.isCan; //isShow为'0'则为我的任务、我的评价过来的，需要隐藏抢任务按钮
            }
            if (option.type) {
                this.type = option.type; //type为1则为消息邀请过来的,需要设置消息已读;
            }
            if (option.id) {
                this.id = option.id; //消息id
            }
            if (option.jobType) {
                this.jobType = Number(option.jobType)
            }
            this.getData()
        },
        methods: {
            async getData() {
                const self = this;
                let resData = null
                resData = await getuserrecruitDetailApp({
                    id: this.id,
                    jobType: this.jobType
                })
                if (resData.data?.code === 200) {
                    console.log(resData.data.data)
                    self.info = resData.data.data;
                }
            },
        }
    }
</script>

<style scoped>
    .app_container {
        padding: 24rpx;
    }

    .textd {
        color: #666666;
        font-size: 30rpx;
        margin-bottom: 20rpx;
    }
</style>